{% extends "_layout.html" %}
{% from "macros.jinja" import printMaintainers %}

{% block title %}503 Service Unavailable{% endblock %}

{% block content %}
<h1>No webservice</h1>

<div class="content-text">
  {% if has_ingress %}
  <p>The tool responsible for the URL you have requested, <code>{{ url }}</code>, is not currently responding.</p>
  {% else %}
  <p>The URL you have requested, <code>{{ url }}</code>, is not currently serviced.</p>
  {% endif %}

  {% if tool %}
  <h2>If you have reached this page from somewhere else...</h2>
  <p>This URI is managed by the <a href="{{ toolsadmin_url }}/tools/id/{{ tool }}"><code>{{ tool }}</code></a> tool, maintained by {{ printMaintainers( maintainers, wiki_url ) }}.</p>

  {% if has_ingress %}
  <p>You may wish to notify the tool's maintainers (above) about the error.</p>
  {% else %}
  <p>That tool might not have a web interface, or it may currently be disabled.</p>
  <p>If you're pretty sure this shouldn't be an error, you may wish to notify the tool's maintainers (above) about the error and how you ended up here.</p>
  {% endif %}

  <h2>If you maintain this tool</h2>
  <p>You have not enabled a web service for your tool, or it has stopped working because of a fatal error. Please check the error logs of your web service.</p>
  {% else %}
  <h2>If you have reached this page from somewhere else...</h2>
  <p>This URI is not currently part of any tool.</p>
  <p>If you're pretty sure this shouldn't be an error, you may wish to notify the <a href="{{ toolsadmin_url }}/tools/id/admin">project administrators</a> about the error and how you ended up here.</p>
  {% endif %}
</div>
{% endblock content %}
{# vim:sw=2:ts=2:sts=2:et: #}
